package models

import (
	"go-admin/common/models"
)

type LineSymbolGroup struct {
	models.Model
	ExchangeType string `json:"exchangeType" gorm:"type:varchar(50);comment:交易所类型"`
	GroupName    string `json:"groupName" gorm:"type:varchar(255);comment:交易对组名称"`
	Symbol       string `json:"symbol" gorm:"type:text;comment:交易对"`
	GroupType    string `json:"groupType" gorm:"type:enum('1','2');comment:分组类型:1=普通类型"`
	Type         string `json:"type" gorm:"type:enum('1','2');comment:类型:1=现货,2=合约"`
	Count        int    `json:"count" gorm:"->"`
	models.ModelTime
	models.ControlBy
}

func (LineSymbolGroup) TableName() string {
	return "line_symbol_group"
}

func (e *LineSymbolGroup) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineSymbolGroup) GetId() interface{} {
	return e.Id
}
